Skip to content
Start here

Update a content policy

client.emailSecurity.settings.contentPolicies.edit(stringpolicyID, ContentPolicyEditParams { account_id, enabled, expires_at, 4 more } params, RequestOptionsoptions?): ContentPolicyEditResponse { id, created_at, enabled, 6 more }
PATCH/accounts/{account_id}/email-security/settings/content_policies/{policy_id}

Updates an existing content policy. Only provided fields will be modified.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: Write
ParametersExpand Collapse
policyID: string

Content policy identifier.

formatuuid
params: ContentPolicyEditParams { account_id, enabled, expires_at, 4 more }
account_id: string

Path param: Identifier.

maxLength32
enabled?: boolean

Body param: Whether the policy is active.

expires_at?: string | null

Body param: Timestamp at which the policy expires. After this time, Email Security ignores the policy. The value must lie in the future. Send null to clear the expiration.

formatdate-time
name?: string

Body param: Human-readable name of the policy.

maxLength256
minLength1
notes?: string | null

Body param: Optional note describing the purpose of the policy.

maxLength4096
pattern?: string

Body param: Regular expression the policy matches against.

maxLength2048
minLength1
targets?: Array<"SUBJECT" | "BODY">

Body param: Parts of the email the pattern is matched against.

One of the following:
"SUBJECT"
"BODY"
ReturnsExpand Collapse
ContentPolicyEditResponse { id, created_at, enabled, 6 more }

A content policy pattern that matches against the subject or body of an email.

id?: string

Content policy identifier.

formatuuid
created_at?: string
formatdate-time
enabled?: boolean

Whether the policy is active.

expires_at?: string | null

Timestamp at which the policy expires. After this time, Email Security ignores the policy. The value must lie in the future. Send null to clear the expiration.

formatdate-time
modified_at?: string
formatdate-time
name?: string

Human-readable name of the policy.

maxLength256
minLength1
notes?: string | null

Optional note describing the purpose of the policy.

maxLength4096
pattern?: string

Regular expression the policy matches against.

maxLength2048
minLength1
targets?: Array<"SUBJECT" | "BODY">

Parts of the email the pattern is matched against.

One of the following:
"SUBJECT"
"BODY"

Update a content policy

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.emailSecurity.settings.contentPolicies.edit(
  'f174e90a-fafe-4643-bbbc-4a0ed4fc8415',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(response.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "enabled": true,
    "expires_at": "2027-01-01T00:00:00Z",
    "modified_at": "2014-01-01T05:20:00.12345Z",
    "name": "Block phishing keywords",
    "notes": "Blocks common phishing subject lines",
    "pattern": "urgent.*verify.*account",
    "targets": [
      "SUBJECT"
    ]
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "enabled": true,
    "expires_at": "2027-01-01T00:00:00Z",
    "modified_at": "2014-01-01T05:20:00.12345Z",
    "name": "Block phishing keywords",
    "notes": "Blocks common phishing subject lines",
    "pattern": "urgent.*verify.*account",
    "targets": [
      "SUBJECT"
    ]
  }
}